<html>
<head>
<title>OGRE: Ogre::StringConverter Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StringConverter.html">StringConverter</a></div>
<h1>Ogre::StringConverter Class Reference</h1><!-- doxytag: class="Ogre::StringConverter" -->Class for converting the core <a class="el" href="namespaceOgre.html">Ogre</a> data types to/from Strings.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStringConverter_8h-source.html">OgreStringConverter.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1StringConverter-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#d6a042aaca76797c0c7369cbcc06529a">toString</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a Real to a String.  <a href="#d6a042aaca76797c0c7369cbcc06529a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#0ad310156901192d8b4e31f90ce420a0">toString</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> to a String.  <a href="#0ad310156901192d8b4e31f90ce420a0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#1c4df33a22e7da4debdc1de0ee250773">toString</a> (<a class="el" href="classOgre_1_1Degree.html">Degree</a> val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> to a String.  <a href="#1c4df33a22e7da4debdc1de0ee250773"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#6e5354ea0506968e9ca901ce2f5a46af">toString</a> (int val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts an int to a String.  <a href="#6e5354ea0506968e9ca901ce2f5a46af"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#6c7efa9542ac3e3a9c17df92c2383fe0">toString</a> (size_t val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a size_t to a String.  <a href="#6c7efa9542ac3e3a9c17df92c2383fe0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#aef4564bd5f496dbdf0889a89aa4cd9f">toString</a> (unsigned long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts an unsigned long to a String.  <a href="#aef4564bd5f496dbdf0889a89aa4cd9f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#9e48331e259a043ce076d2a8c3051340">toString</a> (long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a long to a String.  <a href="#9e48331e259a043ce076d2a8c3051340"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a671980d27b86d09a0f568b451ba677d">toString</a> (bool val, bool yesNo=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a boolean to a String.  <a href="#a671980d27b86d09a0f568b451ba677d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#54b489bc08f1542fe9dd0b9d57fbfbca">toString</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> to a String.  <a href="#54b489bc08f1542fe9dd0b9d57fbfbca"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#40baf295547f60d3d0efcf279268d8dc">toString</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> to a String.  <a href="#40baf295547f60d3d0efcf279268d8dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#41d15619e971971f2025052e1a6d7c5a">toString</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Vector4.html" title="4-dimensional homogenous vector.">Vector4</a> to a String.  <a href="#41d15619e971971f2025052e1a6d7c5a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#e9044f5fd990ebf7c124dfc3d6423b0a">toString</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> to a String.  <a href="#e9044f5fd990ebf7c124dfc3d6423b0a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a0a2d5fb724610a66f1949511e1fb478">toString</a> (const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> to a String.  <a href="#a0a2d5fb724610a66f1949511e1fb478"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a05c075b14b73fbdc82f477d6da359f8">toString</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> to a String.  <a href="#a05c075b14b73fbdc82f477d6da359f8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#1a53ab0f54bc753ae2748909696d0b32">toString</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> to a String.  <a href="#1a53ab0f54bc753ae2748909696d0b32"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#b6f7c4fb9bf4be031282c8ccf5b38727">toString</a> (const <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a StringVector to a string.  <a href="#b6f7c4fb9bf4be031282c8ccf5b38727"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#611c145336bf168437ef819442dae276">parseReal</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a Real.  <a href="#611c145336bf168437ef819442dae276"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#1071507cdcfe259ebe38076cffa9eb03">parseAngle</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a <a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined...">Angle</a>.  <a href="#1071507cdcfe259ebe38076cffa9eb03"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#910e27d2df97d63a500ba362a7a8c4c0">parseInt</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#910e27d2df97d63a500ba362a7a8c4c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#8915fb7ac436ef46b040d90a0bc16546">parseUnsignedInt</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#8915fb7ac436ef46b040d90a0bc16546"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#180c74b383312866cdf703f2dfee1693">parseLong</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#180c74b383312866cdf703f2dfee1693"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#e85e96a970453f626f3945d13f86911c">parseUnsignedLong</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#e85e96a970453f626f3945d13f86911c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#cb73fe51466c5a06a7a5c9e3930ec1ae">parseBool</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a String to a boolean.  <a href="#cb73fe51466c5a06a7a5c9e3930ec1ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#73d0efbc16110466fee470fb09b407e0">parseVector3</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> out of a String.  <a href="#73d0efbc16110466fee470fb09b407e0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#4cedabd971b2a321515a1fed5ebc4ba9">parseMatrix3</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> out of a String.  <a href="#4cedabd971b2a321515a1fed5ebc4ba9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#2b6e2a8a95123ac2a23a3df46754a470">parseMatrix4</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> out of a String.  <a href="#2b6e2a8a95123ac2a23a3df46754a470"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#798a187ff74d8fb8b21411c8fc43733b">parseQuaternion</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> out of a String.  <a href="#798a187ff74d8fb8b21411c8fc43733b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#e014f01b641a7877ef380fbd4e34c517">parseColourValue</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> out of a String.  <a href="#e014f01b641a7877ef380fbd4e34c517"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#041e06bfaeca7a8950bbd04176d1b826">parseStringVector</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pareses a StringVector from a string.  <a href="#041e06bfaeca7a8950bbd04176d1b826"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#95d05930b54167f5353733ec36668f65">isNumber</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Checks the String is a valid number value.  <a href="#95d05930b54167f5353733ec36668f65"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for converting the core <a class="el" href="namespaceOgre.html">Ogre</a> data types to/from Strings. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The code for converting values to and from strings is here as a separate class to avoid coupling String to other datatypes (and vice-versa) which reduces compilation dependency: important given how often the core types are used. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This class is mainly used for parsing settings in text files. External applications can also use it to interface with classes which use the <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style...">StringInterface</a> template class. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The String formats of each of the major types is listed with the methods. The basic types like int and Real just use the underlying C runtime library atof and atoi family methods, however custom types like <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>, <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> and <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> are also supported by this class using custom formats. </dd></dl>
<dl class="author" compact><dt><b>Author:</b></dt><dd>Steve Streeting </dd></dl>

<p>Definition at line <a class="el" href="OgreStringConverter_8h-source.html#l00057">57</a> of file <a class="el" href="OgreStringConverter_8h-source.html">OgreStringConverter.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d6a042aaca76797c0c7369cbcc06529a"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="d6a042aaca76797c0c7369cbcc06529a" args="(Real val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>precision</em> = <code>6</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a Real to a String. 
<p>

</div>
</div><p>
<a class="anchor" name="0ad310156901192d8b4e31f90ce420a0"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="0ad310156901192d8b4e31f90ce420a0" args="(Radian val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>precision</em> = <code>6</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> to a String. 
<p>

<p>Definition at line <a class="el" href="OgreStringConverter_8h-source.html#l00066">66</a> of file <a class="el" href="OgreStringConverter_8h-source.html">OgreStringConverter.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00560">Ogre::Radian::valueAngleUnits()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c4df33a22e7da4debdc1de0ee250773"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="1c4df33a22e7da4debdc1de0ee250773" args="(Degree val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>precision</em> = <code>6</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> to a String. 
<p>

<p>Definition at line <a class="el" href="OgreStringConverter_8h-source.html#l00073">73</a> of file <a class="el" href="OgreStringConverter_8h-source.html">OgreStringConverter.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00570">Ogre::Degree::valueAngleUnits()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6e5354ea0506968e9ca901ce2f5a46af"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="6e5354ea0506968e9ca901ce2f5a46af" args="(int val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts an int to a String. 
<p>

</div>
</div><p>
<a class="anchor" name="6c7efa9542ac3e3a9c17df92c2383fe0"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="6c7efa9542ac3e3a9c17df92c2383fe0" args="(size_t val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a size_t to a String. 
<p>

</div>
</div><p>
<a class="anchor" name="aef4564bd5f496dbdf0889a89aa4cd9f"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="aef4564bd5f496dbdf0889a89aa4cd9f" args="(unsigned long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">unsigned long&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts an unsigned long to a String. 
<p>

</div>
</div><p>
<a class="anchor" name="9e48331e259a043ce076d2a8c3051340"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="9e48331e259a043ce076d2a8c3051340" args="(long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&nbsp;</td>
          <td class="paramname"> <em>fill</em> = <code>'&nbsp;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&nbsp;</td>
          <td class="paramname"> <em>flags</em> = <code>std::ios::fmtflags(0)</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a long to a String. 
<p>

</div>
</div><p>
<a class="anchor" name="a671980d27b86d09a0f568b451ba677d"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a671980d27b86d09a0f568b451ba677d" args="(bool val, bool yesNo=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>yesNo</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a boolean to a String. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>yesNo</em>&nbsp;</td><td>If set to true, result is 'yes' or 'no' instead of 'true' or 'false' </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="54b489bc08f1542fe9dd0b9d57fbfbca"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="54b489bc08f1542fe9dd0b9d57fbfbca" args="(const Vector2 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "x y" (i.e. 2x Real values, space delimited) </dd></dl>

</div>
</div><p>
<a class="anchor" name="40baf295547f60d3d0efcf279268d8dc"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="40baf295547f60d3d0efcf279268d8dc" args="(const Vector3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "x y z" (i.e. 3x Real values, space delimited) </dd></dl>

</div>
</div><p>
<a class="anchor" name="41d15619e971971f2025052e1a6d7c5a"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="41d15619e971971f2025052e1a6d7c5a" args="(const Vector4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Vector4.html" title="4-dimensional homogenous vector.">Vector4</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "x y z w" (i.e. 4x Real values, space delimited) </dd></dl>

</div>
</div><p>
<a class="anchor" name="e9044f5fd990ebf7c124dfc3d6423b0a"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="e9044f5fd990ebf7c124dfc3d6423b0a" args="(const Matrix3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 10 11 12 20 21 22" where '01' means row 0 column 1 etc. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a0a2d5fb724610a66f1949511e1fb478"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a0a2d5fb724610a66f1949511e1fb478" args="(const Matrix4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 03 10 11 12 13 20 21 22 23 30 31 32 33" where '01' means row 0 column 1 etc. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a05c075b14b73fbdc82f477d6da359f8"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a05c075b14b73fbdc82f477d6da359f8" args="(const Quaternion &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "w x y z" (i.e. 4x Real values, space delimited) </dd></dl>

</div>
</div><p>
<a class="anchor" name="1a53ab0f54bc753ae2748909696d0b32"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="1a53ab0f54bc753ae2748909696d0b32" args="(const ColourValue &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> to a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "r g b a" (i.e. 4x Real values, space delimited). </dd></dl>

</div>
</div><p>
<a class="anchor" name="b6f7c4fb9bf4be031282c8ccf5b38727"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="b6f7c4fb9bf4be031282c8ccf5b38727" args="(const StringVector &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringConverter::toString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a StringVector to a string. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Strings must not contain spaces since space is used as a delimeter in the output. </dd></dl>

</div>
</div><p>
<a class="anchor" name="611c145336bf168437ef819442dae276"></a><!-- doxytag: member="Ogre::StringConverter::parseReal" ref="611c145336bf168437ef819442dae276" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::StringConverter::parseReal           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a Real. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the Real version of the String. </dd></dl>

</div>
</div><p>
<a class="anchor" name="1071507cdcfe259ebe38076cffa9eb03"></a><!-- doxytag: member="Ogre::StringConverter::parseAngle" ref="1071507cdcfe259ebe38076cffa9eb03" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::StringConverter::parseAngle           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a <a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined...">Angle</a>. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the <a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined...">Angle</a> version of the String. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringConverter_8h-source.html#l00169">169</a> of file <a class="el" href="OgreStringConverter_8h-source.html">OgreStringConverter.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="910e27d2df97d63a500ba362a7a8c4c0"></a><!-- doxytag: member="Ogre::StringConverter::parseInt" ref="910e27d2df97d63a500ba362a7a8c4c0" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int Ogre::StringConverter::parseInt           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a whole number. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8915fb7ac436ef46b040d90a0bc16546"></a><!-- doxytag: member="Ogre::StringConverter::parseUnsignedInt" ref="8915fb7ac436ef46b040d90a0bc16546" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int Ogre::StringConverter::parseUnsignedInt           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a whole number. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div><p>
<a class="anchor" name="180c74b383312866cdf703f2dfee1693"></a><!-- doxytag: member="Ogre::StringConverter::parseLong" ref="180c74b383312866cdf703f2dfee1693" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static long Ogre::StringConverter::parseLong           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a whole number. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e85e96a970453f626f3945d13f86911c"></a><!-- doxytag: member="Ogre::StringConverter::parseUnsignedLong" ref="e85e96a970453f626f3945d13f86911c" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned long Ogre::StringConverter::parseUnsignedLong           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a whole number. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div><p>
<a class="anchor" name="cb73fe51466c5a06a7a5c9e3930ec1ae"></a><!-- doxytag: member="Ogre::StringConverter::parseBool" ref="cb73fe51466c5a06a7a5c9e3930ec1ae" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::StringConverter::parseBool           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a String to a boolean. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Returns true if case-insensitive match of the start of the string matches "true", "yes" or "1", false otherwise. </dd></dl>

</div>
</div><p>
<a class="anchor" name="73d0efbc16110466fee470fb09b407e0"></a><!-- doxytag: member="Ogre::StringConverter::parseVector3" ref="73d0efbc16110466fee470fb09b407e0" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::StringConverter::parseVector3           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> out of a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "x y z" ie. 3 Real components, space delimited. Failure to parse returns <a class="el" href="classOgre_1_1Vector3.html#5da94afc089ec07612b4a2615bb6b86f">Vector3::ZERO</a>. </dd></dl>

</div>
</div><p>
<a class="anchor" name="4cedabd971b2a321515a1fed5ebc4ba9"></a><!-- doxytag: member="Ogre::StringConverter::parseMatrix3" ref="4cedabd971b2a321515a1fed5ebc4ba9" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::StringConverter::parseMatrix3           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> out of a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 10 11 12 20 21 22" where '01' means row 0 column 1 etc. Failure to parse returns <a class="el" href="classOgre_1_1Matrix3.html#dcb2945d4f9b8995236be5a27dcfe343">Matrix3::IDENTITY</a>. </dd></dl>

</div>
</div><p>
<a class="anchor" name="2b6e2a8a95123ac2a23a3df46754a470"></a><!-- doxytag: member="Ogre::StringConverter::parseMatrix4" ref="2b6e2a8a95123ac2a23a3df46754a470" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> Ogre::StringConverter::parseMatrix4           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> out of a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 03 10 11 12 13 20 21 22 23 30 31 32 33" where '01' means row 0 column 1 etc. Failure to parse returns <a class="el" href="classOgre_1_1Matrix4.html#f2f61127dd1911c9ac2b4cbc0b4f3668">Matrix4::IDENTITY</a>. </dd></dl>

</div>
</div><p>
<a class="anchor" name="798a187ff74d8fb8b21411c8fc43733b"></a><!-- doxytag: member="Ogre::StringConverter::parseQuaternion" ref="798a187ff74d8fb8b21411c8fc43733b" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::StringConverter::parseQuaternion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> out of a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "w x y z" (i.e. 4x Real values, space delimited). Failure to parse returns <a class="el" href="classOgre_1_1Quaternion.html#441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a>. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e014f01b641a7877ef380fbd4e34c517"></a><!-- doxytag: member="Ogre::StringConverter::parseColourValue" ref="e014f01b641a7877ef380fbd4e34c517" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::StringConverter::parseColourValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> out of a String. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Format is "r g b a" (i.e. 4x Real values, space delimited), or "r g b" which implies an alpha value of 1.0 (opaque). Failure to parse returns <a class="el" href="classOgre_1_1ColourValue.html#7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>. </dd></dl>

</div>
</div><p>
<a class="anchor" name="041e06bfaeca7a8950bbd04176d1b826"></a><!-- doxytag: member="Ogre::StringConverter::parseStringVector" ref="041e06bfaeca7a8950bbd04176d1b826" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> Ogre::StringConverter::parseStringVector           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pareses a StringVector from a string. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Strings must not contain spaces since space is used as a delimeter in the output. </dd></dl>

</div>
</div><p>
<a class="anchor" name="95d05930b54167f5353733ec36668f65"></a><!-- doxytag: member="Ogre::StringConverter::isNumber" ref="95d05930b54167f5353733ec36668f65" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::StringConverter::isNumber           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Checks the String is a valid number value. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringConverter_8h-source.html">OgreStringConverter.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:16 2008
</p>
</body>
</html>
